Subject: Re: bug#28800: 25.3.50; Emacs -nw breaks urxvt

From: Aric81 <[email-masked]>
Date: Mon, 12 Mar 2018 21:18:35 -0700

On 2018-01-19 09:54 PM, Andrea Richiardi wrote:
> On January 19, 2018 8:55:40 AM PST, Glenn Morris <[email-masked]> wrote:
> >Aric81 wrote:
> >
>
> >so it's doubly impossible for it to be relevant to your issue.
>

So I finally figured out what is wrong. It looks like the suggestion of
enabling xterm-mouse-mode here of this SO issue
http://stackoverflow.com/a/6798279/27782 is breaking my rxvt.

The function called is:

(defun initialise-mouse-mode (&optional frame)
  "Initialise mouse mode for the current terminal."
  (if (not frame) ;; The initial call.
      (xterm-mouse-mode 1)
    ;; Otherwise called via after-make-frame-functions.
    (if xterm-mouse-mode
        ;; Re-initialise the mode in case of a new terminal.
        (xterm-mouse-mode 1))))

And it is called on init.el and with the hook below:

(initialise-mouse-mode)
(add-hook 'after-make-frame-functions 'initialise-mouse-mode)

Apparently if I comment out the hook I still get the functionality but
rxvt now does not break like my images show. I can comment it out but I
am not sure if this bug report is still valid.